Search code generators

​

Search code generators

Query Parameters

  • page offset to display a range of records from

  • maximum number of records to return in the search

  • sort the records in either ascending (asc) or descending (desc) order

  • comma-separated list of field names to sort records by

  • filter by code prefix

  • filter by description

  • filter by status

  • filter by store ID

  • filter by creation timestamp (RFC3339)

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1.0/codegen
curl 'https://api.sparkfly.com/v1.0/codegen?page=1&per_page=5000&order=asc&status=active' \
  --header 'X-Auth-Token: YOUR_SECRET_TOKEN'
{
  "page": 1,
  "per_page": 1,
  "total_entries": 1,
  "total_pages": 1,
  "code_generators": [
    {
      "code_generator": {
        "generation_type": "sparkfly",
        "buffer_type": "default",
        "code_length": 1,
        "description": "string",
        "prefix": "string",
        "store_id": 1,
        "status": "active",
        "id": 1,
        "account_id": 1,
        "created_at": "string",
        "updated_at": "string"
      },
      "errors": {}
    }
  ]
}